# Ogre::Rect Struct Reference

Structure used to define a rectangle in a 2-D integer space. More...

`#include <OgreCommon.h>`

List of all members.

## Public Member Functions

| Rect ()
| Rect (long l, long t, long r, long b)
Rect & | operator= (const Rect &other)

## Public Attributes

long | left
long | top
long | right
long | bottom

## Detailed Description

Structure used to define a rectangle in a 2-D integer space.

Definition at line 205 of file OgreCommon.h.

## Constructor & Destructor Documentation

Ogre::Rect::Rect | ( |  | ) |

| Definition at line 209 of file OgreCommon.h.

Ogre::Rect::Rect | ( | long | l,
|  | long | t,
|  | long | r,
|  | long | b
| ) |

| Definition at line 212 of file OgreCommon.h. References bottom, left, right, and top.

## Member Function Documentation

Rect& Ogre::Rect::operator= | ( | const Rect & | other | ) |

| Definition at line 219 of file OgreCommon.h. References bottom, left, right, and top.

## Member Data Documentation

long Ogre::Rect::bottom

| Definition at line 207 of file OgreCommon.h. Referenced by operator=(), and Rect().

long Ogre::Rect::left

| Definition at line 207 of file OgreCommon.h. Referenced by operator=(), and Rect().

long Ogre::Rect::right

| Definition at line 207 of file OgreCommon.h. Referenced by operator=(), and Rect().

long Ogre::Rect::top

| Definition at line 207 of file OgreCommon.h. Referenced by operator=(), and Rect().

The documentation for this struct was generated from the following file:

- OgreCommon.h

Copyright © 2000-2005 by The OGRE Team
Last modified Sun Nov 20 12:36:30 2005